Delete recipient
curl --request DELETE \
--url https://api.daya.co/v1/recipients/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/recipients/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
(empty response body)
Recipients
Delete recipient
Soft-delete a recipient
DELETE
/
v1
/
recipients
/
{id}
Delete recipient
Overview
Soft-delete a recipient. The recipient will no longer appear in list results and cannot be used for new transfers or settlement destinations. This action is irreversible.Authentication
string
required
Your merchant API key
Path Parameters
string
required
Recipient ID (UUID)Example:
750e8400-e29b-41d4-a716-446655440000Request Example
curl --request DELETE \
--url https://api.daya.co/v1/recipients/750e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
"https://api.daya.co/v1/recipients/750e8400-e29b-41d4-a716-446655440000",
{
method: "DELETE",
headers: {
"X-Api-Key": "YOUR_API_KEY",
},
}
);
// 204 No Content on success
if (response.status === 204) {
console.log("Recipient deleted successfully");
}
Response
A successful deletion returns a204 No Content response with an empty body.
Success Response
(empty response body)
Error Responses
{
"error": {
"code": "validation_failed",
"message": "Invalid UUID format"
}
}
{
"error": {
"code": "not_found",
"message": "Recipient not found"
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
Notes
- This is a soft-delete operation. The recipient record is retained internally but is no longer accessible via the API.
- Any in-progress movements referencing this recipient will not be affected.
- Deleting a recipient that has already been deleted will return a
404 Not Founderror.
Next Steps
Create recipient
Create a new recipient
List recipients
Retrieve all saved recipients